Bug 132811 - FILEOPEN DOCX Formula object wrap setting broken
Summary: FILEOPEN DOCX Formula object wrap setting broken
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.0.0
Keywords: bibisectRequest, regression
Depends on:
Blocks: DOCX-Formula
  Show dependency treegraph
 
Reported: 2020-05-07 13:06 UTC by NISZ LibreOffice Team
Modified: 2020-05-19 19:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (11.79 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-07 13:06 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer 6.4 and Writer master (87.78 KB, image/png)
2020-05-07 13:06 UTC, NISZ LibreOffice Team
Details
Screenshot of the original file, side by side Word and Writer 7.0 Master (180.92 KB, image/png)
2020-05-13 09:34 UTC, Attila Bakos (NISZ)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-05-07 13:06:33 UTC
Created attachment 160499 [details]
Example file from Word

Recently import of the horizontal alignment of formulas became supported, but now the wrap setting is broken, resulting in paragraph breaks flowing around OLE objects  instead of being in the same line.

Steps to reproduce:
    1. Open attached document

Actual results:
Paragraph end markers are not in the same line as the OLE objects.

Expected results:
Paragraph end markers in the same line as the OLE-objects.

LibreOffice details:
Version: 7.0.0.0.alpha1+ (x86)
Build ID: 7e257697f0006d8247a23ac91...
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2020-05-07 13:06:54 UTC
Created attachment 160500 [details]
Screenshot of the original document side by side in Word and Writer 6.4 and Writer master
Comment 2 Commit Notification 2020-05-12 10:04:39 UTC
Attila Bakos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1237acf9851f8b12d1ccd929e2aa8b184c06d552

tdf#132811 DOCX: fix formula alignment – part 2

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Attila Bakos (NISZ) 2020-05-13 09:34:35 UTC
Created attachment 160745 [details]
Screenshot of the original file, side by side Word and Writer 7.0 Master
Comment 4 Xisco Faulí 2020-05-19 19:34:46 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: 8209c2569f5726f9ed29f75d30efdccb94f98fe5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Attila, thanks for fixing this issue!!